TYPOS3.Fluid - Bug # 26394

Status: Rejected Priority: Must have
Author: martin no-lastname-given Category: ViewHelpers
Created: 2011-04-28 Assigned To:

Updated: 2011-10-083 Due date:

Has patch: No

Affected Flow version:

Subject: Form Viewhelper does not work with html5 custom data attributes

Description

<f:form.textbox property="name" data-anything="some info" />

Will produce no output at all.

It would be great if fluid's tag-processing was more liberal and transparent in general. Maybe switch to DOM instead of the custom
implementation?

Related issues:
duplicated by TYPO3.Fluid - Feature # 29065: HTML5 Custom Data Attributes Closed 2011-08-17

History

#1 - 2011-04-28 11:22 - Sebastian Kurfuerst

- Status changed from New to Rejected

Hey,

| guess you are using v4 and do not have your exception handler correctly configured? (in the install tool).

data-anything is not a supported argument by the Form-ViewHelper -- that's why an exception is thrown. If you are in production context, this exception
leads to rendering only a white page.

Fix: <f:form.textbox additionalAttributes="{data-anything: 'some info'}" /> should work. If not, please file another bug.

Best regards,

Sebastian

#2 - 2011-04-28 13:28 - martin no-lastname-given

Sorry, must have missed that in the docs :)

#3 - 2011-09-22 15:16 - Bastian Waidelich
- Has patch set to No

martin wrote:

Sorry, must have missed that in the docs :)
Can you confirm, that the syntax from above works? (because we're not yet sure whether dashes are currently supported in the array syntax.

By the way: We're planning to extend the syntax so that you can specify array items directly like:

<f:form.textbox additionalAttributes.data-anything="some info" />

But that's not yet implemented.

#4 - 2011-09-30 23:39 - Thomas Allmer

| can confirm that the following syntax works

<fiimage src="{image}" alt="" maxWidth="140" maxHeight="280" additionalAttributes="{data-behavior: 'ImageFullDownload’,

data-imagefulldownload-fulldownload: '{a:uri.imageDownload(src: \'{image}\', maxWidth: 1920, maxHeight: 1200)}'}" />

it may get a little tricky with the ' but it works :)

the additionalAttributes dot syntax sure looks nice - looking forward to it :)

#5 - 2011-10-03 10:26 - Bastian Waidelich

Thomas Allmer wrote:

I can confirm that the following syntax works

Thanks for the update!
